Fork me on GitHub"

# skbio.stats.distance.DistanceMatrix.__eq__

`DistanceMatrix.``__eq__`(other)

  Compare this dissimilarity matrix to another for equality.

  State: Experimental as of 0.4.0.

  Two dissimilarity matrices are equal if they have the same shape, IDs (in the same order!), and have data arrays that are equal.

  Checks are not performed to ensure that other is a DissimilarityMatrix instance.

  Parameters:

  other : DissimilarityMatrix

  > Dissimilarity matrix to compare to for equality.

  Returns:

  bool

  > `True` if self is equal to other, `False` otherwise.